<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Sales Report</ion-title>
  </ion-toolbar>
  <ion-toolbar mode="ios" class="report-options">
    <ion-segment mode="ios" [(ngModel)]="reportType" (ionChange)="selectReport()">
      <ion-segment-button value="today" mode="ios">
        <ion-label>Today</ion-label>
      </ion-segment-button>
      <ion-segment-button value="daily" mode="ios">
        <ion-label>Daily</ion-label>
      </ion-segment-button>
      <ion-segment-button value="monthly" mode="ios">
        <ion-label>Monthly</ion-label>
      </ion-segment-button>
    </ion-segment>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="today" *ngIf="reportType == 'today'">

    <ion-segment [(ngModel)]="display" (ionChange)="selectDisplay()">
      <ion-segment-button value="1">Summary</ion-segment-button>
      <ion-segment-button value="2">By Product</ion-segment-button>
      <ion-segment-button value="3">Voided</ion-segment-button>
    </ion-segment>

    <ion-col size="12" class="summary" *ngIf="display == '1'">
      <h2 class="ion-text-center title"></h2>
      <div class="ion-text-center">
        <h1>{{today.count || 0}}</h1>
        <ion-label>
          <ion-button fill="clear" (click)="viewTodaysReceipts()">VIEW RECEIPTS</ion-button>          
        </ion-label>
      </div>
      <div class="ion-text-center">
        <ion-label color="medium">
          <h1>{{today.total || 0 | currency:' '}}</h1>
        </ion-label>
        <ion-label>
          <h2>TOTAL</h2>
        </ion-label>
      </div>
      <div class="ion-text-center">
          <ion-label color="medium">
            <h1>{{today.discount || 0 | currency:' '}}</h1>
          </ion-label>
          <ion-label>
            <h2>DISCOUNT</h2>
          </ion-label>
        </div>
        <div class="ion-text-center">
            <ion-label color="medium">
              <h1>{{today.net || 0 | currency:' '}}</h1>
            </ion-label>
            <ion-label>
              <h2>NET</h2>
            </ion-label>
          </div>
    </ion-col>

    <ion-col size="12" *ngIf="display == '2'">
      <ion-list>
        <ion-item *ngFor="let item of items">
          <ion-label>
            <h2>{{item.name}}</h2>
          </ion-label>
          <p slot="end">{{item.count}}</p>
        </ion-item>
      </ion-list>
    </ion-col>

    <div class="voided" *ngIf="display == '3'">
      <ion-list>
        <ion-item *ngFor="let sale of voided" button="true" (click)="details(sale)">                      
          <ion-label>
              <h6>{{sale.salesDate | date:'MMM dd, yyyy HH:mm'}}</h6> 
            <p class="remarks" *ngIf="sale.remarks">{{sale.remarks}}</p>
          </ion-label>
          <p slot="end">{{sale.net | currency:' '}}</p>
        </ion-item>
      </ion-list>
      <p class="voided-count" *ngIf="voided.length">{{voided.length}} receipts</p>
    </div>
  </ion-row>

  <div class="daily" *ngIf="reportType == 'daily'">
     
    <ion-item>
      <ion-label color="medium">
        <h2>Month</h2>
      </ion-label>
      <ion-select placeholder="Month" [(ngModel)]="month" (ionChange)="selectReport()">
        <ion-select-option *ngFor="let m of months" [value]="m.id">{{m.month}}</ion-select-option>
      </ion-select>
    </ion-item>
    
    <ion-segment [(ngModel)]="display" (ionChange)="selectDisplay()">
      <ion-segment-button value="1">Summary</ion-segment-button>
      <ion-segment-button value="2">By Product</ion-segment-button>
      <ion-segment-button value="3">Voided</ion-segment-button>
    </ion-segment>    

    <div *ngIf="display == '1'">
      <ion-list>
        <ion-item button="true" *ngFor="let d of daily" (click)="perInvoiceSalesReport(d.salesDate)">
          <h2 slot="start" class="day">{{d.day}}</h2>
          <ion-label> 
            <p>Receipts: {{d.count}}</p>
            <p>Total: {{d.total | currency:' '}}</p>
            <p>Discount: {{d.discount | currency:' '}}</p>
          </ion-label>
          <p slot="end">{{d.net | currency:' '}}</p>
        </ion-item>
      </ion-list>
    </div>

    <div *ngIf="display == '2'">
      <ion-list>
        <ion-item *ngFor="let item of items">
          <ion-label color="medium">
            <h2>{{item.name}}</h2>
          </ion-label>
          <p slot="end">{{item.count}}</p>
        </ion-item>
      </ion-list>
    </div>

    <div class="voided" *ngIf="display == '3'">      
      <ion-list>
        <ion-item *ngFor="let sale of voided" button="true" (click)="details(sale)">                      
          <ion-label>                                         
            <h6>{{sale.salesDate | date:'MMM dd, yyyy HH:mm'}}</h6>
            <p class="remarks" *ngIf="sale.remarks">{{sale.remarks}}</p>
          </ion-label>
          <p slot="end">{{sale.net | currency:' '}}</p>
        </ion-item>
      </ion-list>

      <p class="voided-count" *ngIf="voided.length">{{voided.length}} receipts</p>
    </div>

  </div>

  <div class="monthly" *ngIf="reportType == 'monthly'">

    <div>

      <ion-item>
        <ion-label color="medium">
          <h2>Year</h2>
        </ion-label>
        <ion-select placeholder="Year" [(ngModel)]="year" (ionChange)="selectReport()">
            <ion-select-option *ngFor="let y of years" [value]="y.id">{{y.year}}</ion-select-option>            
        </ion-select>
      </ion-item>

      <ion-segment [(ngModel)]="display">
        <ion-segment-button value="1">Summary</ion-segment-button>
        <ion-segment-button value="2">Chart</ion-segment-button>
      </ion-segment>  

      <ion-list *ngIf="display == '1'">
        <ion-item *ngFor="let m of monthly">
          <h3 slot="start">{{getMonth(m.month)}}</h3>
          <ion-label color="medium">
            <p>Receipts: {{m.count}}</p>
            <p>Total: {{m.total | currency:' '}}</p>
            <p>Discount: {{m.discount | currency:' '}}</p>
          </ion-label>
          <p slot="end">{{m.net | currency:' '}}</p>
        </ion-item>
      </ion-list>

      <ion-card [hidden]="display == '1'">          
        <ion-card-content>
          <canvas #barChart></canvas>
        </ion-card-content>
      </ion-card>

    </div>

  </div>

</ion-content>
